LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XVclWindowPeer Interface Referencepublished

gives access to the VCL window implementation. More...

`import"XVclWindowPeer.idl";`

Inheritance diagram for XVclWindowPeer:

## Public Member Functions
boolean | isChild ([in] com::sun::star::awt::XWindowPeer Peer)
| returns `TRUE` if the window peer is a child, `FALSE` otherwise. More...
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor. More...
boolean | isDesignMode ()
| returns `TRUE` if the window peer is in design mode, `FALSE` otherwise. More...
void | enableClipSiblings ([in] boolean bClip)
| enables clipping of sibling windows. More...
void | setForeground ([in] com::sun::star::util::Color Color)
| sets the foreground color. More...
void | setControlFont ([in] com::sun::star::awt::FontDescriptor aFont)
| sets the control font. More...
void | getStyles ([in] short nType, [out] com::sun::star::awt::FontDescriptor Font, [out] com::sun::star::util::Color ForegroundColor, [out] com::sun::star::util::Color BackgroundColor)
| returns the font, foreground and background color for the specified type. More...
void | setProperty ([in] string PropertyName, [in] any Value)
| sets the value of the property with the specified name. More...
any | getProperty ([in] string PropertyName)
| returns the value of the property with the specified name. More...
Public Member Functions inherited from XWindowPeer
XToolkit | getToolkit ()
| returns the toolkit which created this object. More...
void | setPointer ([in] XPointer Pointer)
| sets the mouse pointer. More...
void | setBackground ([in] com::sun::star::util::Color Color)
| sets the background color. More...
void | invalidate ([in] short Flags)
| invalidates the whole window with the specified InvalidateStyle. More...
void | invalidateRect ([in] Rectangle Rect, [in] short Flags)
| invalidates a rectangular area of the window with the specified InvalidateStyle. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the VCL window implementation.

Deprecated:

## Member Function Documentation

## ◆ enableClipSiblings()

void enableClipSiblings | ( | [in] boolean | bClip | ) |

enables clipping of sibling windows.

## ◆ getProperty()

any getProperty | ( | [in] string | PropertyName | ) |

returns the value of the property with the specified name.

## ◆ getStyles()

void getStyles | ( | [in] short | nType,
|  | [out] com::sun::star::awt::FontDescriptor | Font,
|  | [out] com::sun::star::util::Color | ForegroundColor,
|  | [out] com::sun::star::util::Color | BackgroundColor
| ) |  |

returns the font, foreground and background color for the specified type.

## ◆ isChild()

boolean isChild | ( | [in] com::sun::star::awt::XWindowPeer | Peer | ) |

returns `TRUE` if the window peer is a child, `FALSE` otherwise.

## ◆ isDesignMode()

boolean isDesignMode | ( |  | ) |

returns `TRUE` if the window peer is in design mode, `FALSE` otherwise.

## ◆ setControlFont()

void setControlFont | ( | [in] com::sun::star::awt::FontDescriptor | aFont | ) |

sets the control font.

## ◆ setDesignMode()

void setDesignMode | ( | [in] boolean | bOn | ) |

sets the design mode for use in a design editor.

## ◆ setForeground()

void setForeground | ( | [in] com::sun::star::util::Color | Color | ) |

sets the foreground color.

## ◆ setProperty()

void setProperty | ( | [in] string | PropertyName,
|  | [in] any | Value
| ) |  |

sets the value of the property with the specified name.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XVclWindowPeer.idl